Bug 1429154 - ibus-typing-booster must not install emoji-picker.desktop
Summary: ibus-typing-booster must not install emoji-picker.desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-05 02:39 UTC by Michael Catanzaro
Modified: 2017-04-11 06:27 UTC (History)
6 users (show)

Fixed In Version: ibus-typing-booster-1.5.24-1.fc25 ibus-typing-booster-1.5.29-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 01:18:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Catanzaro 2017-03-05 02:39:39 UTC
Applications (anything installing visible desktop files) need to be self-contained and packaged accordingly. ibus-typing-booster should not be pulling in some emojii picker application. Please fix by moving it to a subpackage.

Please also issue an update to F25 to fix this as well. You really, really cannot add random applications to users' desktops in post-release updates. It wasn't there a couple weeks ago, and I didn't install it.

Comment 1 Michael Catanzaro 2017-03-05 02:41:46 UTC
Also, it uses GtkHeaderBar but doesn't set it as the title bar, so there are two sets of window decorations. Not impressive! And there is no app icon.

ibus-typing-booster will be removed from the default install of Fedora Workstation if this isn't fixed soon.

Comment 2 Fedora Update System 2017-03-06 14:03:55 UTC
ibus-typing-booster-1.5.24-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b301fd481

Comment 3 Fedora Update System 2017-03-06 14:04:22 UTC
ibus-typing-booster-1.5.24-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f54a93969

Comment 4 Mike FABIAN 2017-03-06 14:24:04 UTC
(In reply to Michael Catanzaro from comment #1)
> Also, it uses GtkHeaderBar but doesn't set it as the title bar, so there are
> two sets of window decorations. Not impressive! And there is no app icon.

Fixed. Now it looks like this:

http://mike-fabian.github.io/ibus-typing-booster/documentation.html#emoji-picker

The icon was only missing under Wayland but this is fixed now.

Comment 5 Fedora Update System 2017-03-07 01:50:48 UTC
ibus-typing-booster-1.5.24-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f54a93969

Comment 6 Michael Catanzaro 2017-03-07 02:53:55 UTC
Thanks for the quick response. And for fixing the two other issues that I probably should have filed separate bugs for.

Comment 7 Jan Niklas Hasse 2017-03-07 13:19:20 UTC
(In reply to Mike FABIAN from comment #4)
> (In reply to Michael Catanzaro from comment #1)
> > Also, it uses GtkHeaderBar but doesn't set it as the title bar, so there are
> > two sets of window decorations. Not impressive! And there is no app icon.
> 
> Fixed. Now it looks like this:
> 
> http://mike-fabian.github.io/ibus-typing-booster/documentation.html#emoji-
> picker

Why does it have maximize and minimize buttons although the terminal hasn't?

Comment 8 Fedora Update System 2017-03-07 17:53:24 UTC
ibus-typing-booster-1.5.24-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b301fd481

Comment 9 Mike FABIAN 2017-03-08 10:09:10 UTC
(In reply to Jan Niklas Hasse from comment #7)
> (In reply to Mike FABIAN from comment #4)
> > (In reply to Michael Catanzaro from comment #1)
> > > Also, it uses GtkHeaderBar but doesn't set it as the title bar, so there are
> > > two sets of window decorations. Not impressive! And there is no app icon.
> > 
> > Fixed. Now it looks like this:
> > 
> > http://mike-fabian.github.io/ibus-typing-booster/documentation.html#emoji-
> > picker
> 
> Why does it have maximize and minimize buttons although the terminal hasn't?

Because I added them, like this:

        self._header_bar.set_show_close_button(True)
        self._header_bar.set_decoration_layout("menu:minimize,maximize,close")

and I guess the terminal doesn’t.

They are not strictly necessary because a right mouse click
on the header gives a popover menu with maximize and minimize
options as well. But I find the buttons convenient.

Comment 10 Jan Niklas Hasse 2017-03-08 10:11:43 UTC
You can enable them in gnome-tweak-tool for all programs ;)

People have different settings for those so you shouldn't overwrite the decoration layout like this.

Comment 11 Fedora Update System 2017-03-08 13:55:43 UTC
ibus-typing-booster-1.5.24-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Mike FABIAN 2017-03-08 14:15:41 UTC
(In reply to Jan Niklas Hasse from comment #10)
> You can enable them in gnome-tweak-tool for all programs ;)
> 
> People have different settings for those so you shouldn't overwrite the
> decoration layout like this.

OK, you are right, I’ll change this in the next release.

Comment 13 Michael Catanzaro 2017-03-08 15:14:23 UTC
Yeah that show_close_button property is totally misnamed, it should be renamed to show_window_decorations. We should fix it in GTK+ 4.

Comment 14 Mike FABIAN 2017-03-09 13:37:55 UTC
Yes, I thought when I used only show_close_button I would not get
the other window decorations, therefore I tried to get them
by adding

self._header_bar.set_decoration_layout("menu:minimize,maximize,close")

The name show_close_button is really a bit confusing.

Comment 15 Fedora Update System 2017-03-13 09:53:53 UTC
ibus-typing-booster-1.5.25-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a35825c8da

Comment 16 Fedora Update System 2017-03-14 01:19:55 UTC
ibus-typing-booster-1.5.25-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a35825c8da

Comment 17 Fedora Update System 2017-03-16 13:43:45 UTC
ibus-typing-booster-1.5.26-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ae3bf75eb0

Comment 18 Fedora Update System 2017-03-16 23:21:02 UTC
ibus-typing-booster-1.5.26-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ae3bf75eb0

Comment 19 Fedora Update System 2017-03-17 00:05:06 UTC
ibus-typing-booster-1.5.27-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1960c42132

Comment 20 Fedora Update System 2017-03-17 20:24:44 UTC
ibus-typing-booster-1.5.27-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1960c42132

Comment 21 Fedora Update System 2017-03-18 12:08:36 UTC
ibus-typing-booster-1.5.28-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5631244404

Comment 22 Fedora Update System 2017-03-19 01:48:29 UTC
ibus-typing-booster-1.5.28-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5631244404

Comment 23 Fedora Update System 2017-03-21 15:28:52 UTC
ibus-typing-booster-1.5.29-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89063f74fb

Comment 24 Fedora Update System 2017-03-22 20:56:17 UTC
ibus-typing-booster-1.5.29-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89063f74fb

Comment 25 Fedora Update System 2017-03-31 01:18:49 UTC
ibus-typing-booster-1.5.29-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.